Bug 1604534 - laditools: FTBFS in Fedora rawhide
Summary: laditools: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: laditools
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585626 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 23:10 UTC by Mohan Boddu
Modified: 2019-10-07 01:35 UTC (History)
1 user (show)

Fixed In Version: laditools-1.1.0-2.20160307git97b8cf3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-07 01:35:52 UTC


Attachments (Terms of Use)
build.log (4.82 KB, text/plain)
2018-07-19 23:10 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 23:10 UTC, Mohan Boddu
no flags Details
state.log (631 bytes, text/plain)
2018-07-19 23:10 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 23:10:20 UTC
laditools failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28194420


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix laditools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
laditools will be orphaned. Before branching of Fedora 30,
laditools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 23:10:27 UTC
Created attachment 1463441 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 23:10:31 UTC
Created attachment 1463442 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 23:10:34 UTC
Created attachment 1463443 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:28:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-05-07 02:35:59 UTC
laditools-1.1.0-2.20160307git97b8cf3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d9a603dcf

Comment 6 Fedora Update System 2019-05-08 03:57:05 UTC
laditools-1.1.0-2.20160307git97b8cf3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d9a603dcf

Comment 7 Fedora Update System 2019-10-07 01:35:52 UTC
laditools-1.1.0-2.20160307git97b8cf3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.